require "lib/twitter"

# can't use constant as it gets redeclared when the require is done and so causes a warning
@dynamic_file_name="twitter"

# This is the name of the user to watch for commands
@screen_name="<YOUR SCREEN NAME HERE>"

# Search for commands and act on them
def get_process_commands(verbose)

	search=Twitter::Search.new()

	search_results=search.from(@screen_name)
	# in Linux I could just do search_results.reverse_each but to get it working in Windows
	# I've had to pull the data out like this
	search_results_array = search_results.fetch["results"].reverse
	
	search_results_array.each { |result|
		if @latest_read == nil or Time.parse(result.created_at) > @latest_read
			@latest_read=Time.parse(result.created_at)

			if verbose
				puts result.created_at + " - " + result.text
			end
			
			process_message(result.text, verbose)
		else
			if verbose
				puts "Command already seen, ignoring"
			end
		end
	}
end
